Avid Pro Audio Community

Avid Pro Audio Community

How to Join & Post  •  Community Terms of Use  •  Help Us Help You

Knowledge Base Search  •  Community Search  •  Learn & Support


Avid Home Page

Go Back   Avid Pro Audio Community > Legacy Products > 003, Mbox 2, Digi 002, original Mbox, Digi 001 (Mac)

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 05-18-2005, 11:23 AM
jcontreras jcontreras is offline
Member
 
Join Date: May 2005
Posts: 5
Default SUPPORT FOR DIGI001 UNDER OS X 10.4 \"TIGER\" A MUST

Dear DIGI001 users.

This post is a petition to Digidesign to offer support of their DIGI001 Hardware under MAC OS X 10.4 or better known as "Tiger".

Many of you surely feel like me, frustrated and disappointed to hear the announcement that Digidesign will not be releasing a new CoreAudio "patch or fix" to resolve the compatibility issue with "Tiger" for DIGI001 users.

Simply we cannot be stuck with OS 10.3 or any other future release of the popular OS.

I am not asking for a new update to the already functional Pro Tools LE 6.4 software, I am asking for the support of their CoreAudio counterpart which evolves in every release of the OS.

This is one the products that helped Digidesign to become what it is today. Not supporting this product deters me and many others from adquiring any other Digidesign product because of fear of a lack of support in a few years from now.

Please add a petition to this post if you agree with me, hopefully our petition will be heard.

Sincerely

Jose Contreras
Owner Airie Enterprises, Inc.
Reply With Quote
  #2  
Old 05-18-2005, 03:11 PM
KamaSutra77 KamaSutra77 is offline
Member
 
Join Date: Jan 2001
Location: Michigan
Posts: 1,284
Default Re: SUPPORT FOR DIGI001 UNDER OS X 10.4 \"TIGER\" A MUST

In all honesty, I wont be buying anything else from Digi, due to this situation.

If I am locked out of the current operating system, then I guess that means I also will not be upgrading my software.
Particularly when the reasoning is simply a manipulation on the part of Digidesign. - That being the software could be updated, whereas Digi would prefer you buy a new interface. Which is a very unprofessional way to run a business.

The 002 is not a viable option, continuing reports of failures raise some serious doubts about the integrity of the units design.


I like how all the mAudiostuff can be made Digi aware and functional within weeks. Hmmm.

Oh well, I guess I won't have to shell out anything for PT updates.
__________________
Huh?
Reply With Quote
  #3  
Old 05-18-2005, 03:13 PM
KamaSutra77 KamaSutra77 is offline
Member
 
Join Date: Jan 2001
Location: Michigan
Posts: 1,284
Default Re: SUPPORT FOR DIGI001 UNDER OS X 10.4 \"TIGER\" A MUST

I want to add that o resent very much the time I have to waste shuffling operating systems round, along with apps and programs to accommodate Digi's lack of support.
__________________
Huh?
Reply With Quote
  #4  
Old 05-18-2005, 04:12 PM
tele_player tele_player is offline
Member
 
Join Date: May 2003
Location: California
Posts: 6,557
Default Re: SUPPORT FOR DIGI001 UNDER OS X 10.4 \"TIGER\" A

The vast majority of the reported failures in the 002 and 002R have been caused by the power harness; so I wouldn't go so far as to criticize the integrity of the unit's design. But I would say that Digidesign seriously botched the simple part of the system, and it's not clear that it's been correctly remedied.

There's also not much reason to insist on Tiger support. It's not very different from Panther, and the 001 doesn't work on any current Mac hardware anyway. So why not just stick with what works?
__________________
Quad 2.5 G5, 4.5G RAM


Reply With Quote
  #5  
Old 05-18-2005, 09:40 PM
sdelsolray sdelsolray is offline
Member
 
Join Date: Apr 2001
Location: Portland, OR USA
Posts: 204
Default Re: SUPPORT FOR DIGI001 UNDER OS X 10.4 \"TIGER\" A MUST

What does Tiger have that is so important? I've had a DIgi001 for over 4 years. Sure, I went for the version 6 upgrade, and stopped at 6.4, which is a nice version BTW. On the Mac side, I tried to take Panther up through the minor revisions, as well as CoreAudio. But something went screwy. I decided to downgrade the Mac OS to 10.3.4 and leave it alone. Same with CoreAudio. I'm using some middle version (can't remember which right now).

I'm staying put. Everything is fine just like it is. My Waves plugs are at version 5, Altiverb is at 5, McDSP plugins are current.

That's right I'm staying put.

When I got the Digi001, I soon bypassed the pres and converters with outboards. I chose not to go to a Digi002 because it wouldn't be an upgrade at all. We'll see what new products come out over the next few years.

A Digi001 is a great product, particularly if you bypass the pres and converters. PTLE 6.4 under Panther is all that's needed, at least for me.
Reply With Quote
  #6  
Old 05-18-2005, 09:52 PM
nedorama nedorama is offline
Member
 
Join Date: Aug 2001
Location: Los Angeles
Posts: 652
Default Re: SUPPORT FOR DIGI001 UNDER OS X 10.4 \"TIGER\" A MUST

I used to own a Digi 001, and while I can sympathize on your plight, part of me doesnt want DIgi spending time, money and resources on updating drivers, software, etc. for older products that don't run on new machines -- I want that money and resources spent on making sure Pro Tools works with my current investment. With legacy hardware, companies do have to decide how much stuff they can support and for how long. When my computer was slowing down and I needed the power of a G5, I knew I'd also have to upgrade my music hardware at the same time-- it stung doubly to have to upgrade from a G4 to a G5, and from an 001 to an 002R. For me, the cost to upgrade was well worth it, and I can now do music with soft synths and plugins I could never have done before.


I had a Audiomedia II card which was NuBus and didn't fit into my then -new Mac with PCI slots. Did I demand they replace it or come up with a workaround? No. Supporting legacy hardware becomes extremely expensive for people to do, both from expense and also the code -- the more old hardware you have to support, the more intricate (and potentials for crashing) in the driver software. I'd rather them make Core Audio bulletproof for the mBox, 002 series, and HD ASAP.

I don't mean to sound callous or selfish, but I can't run OSX on my 7300, but I'm not losing sleep. I also can't run Opcode's Studio Vision Pro anymore, and that was the same price (for software only) as a Digi 001. Am I mad that Gibson bought Opcode and killed the software by not updating it? Yes. Did I get over it and learn Logic and Pro Tools and get on with my life? Yes.

Having upgraded to Tiger because I can't get at my music stuff for a while because of work (the thing that pays for new G5s and 002Rs), you're not missing anything -- it's not like the shift from OS9 to OSX in terms of ease of use, features, etc. If you're serious about music, don't upgrade to Tiger (can you think of a pro studio that upgrades their OS fast? They're usually very reluctant to change what works, and for good reason). If you're running music on a dedicated music computer, this shouldn't be an issue either. Digi pointed out that Tiger wasn't compatible ahead of the release -- kudos for them.

As to the charges that Tiger's been in Developer's hands for months, see this quote in OSX Audio from UA Audio on Tiger and development:

Quote:
Tiger have been around in several alpha and beta releases for 8-9 months.

Indeed it has, however, many of these early releases were unreliable and had areas of the OS that were still under development. Also, a few of the dev tools we require to work with were not even updated until a few days before the retail release of Tiger"

Will I be sitting here one day when Digi EOL's the OO2 series, and I'm forced with either sticking with what works (and an OS that does work with it), I will be facing the cost of upgrading again, and yes, things do cost money. But that's been the way with just about everything in the studio, especially digital stuff. While I'm not looking forward to obsolescence, I'm glad Digi's not trying to support the 001, Sound Tools, AudioMedia II, III in Core Audio in Tiger -- just make the current product line work with the software and save the resources for adding new features we can use.
__________________
Regards,
Ned
Monkey Boy Studios
2019 16" MBP, 32GB, 1TB SSD; OSX 10.15.7; 4TB USB-C G-Tech External
Summit Audio 2BA-221, TLA-50 -->Focusrite 18i20 3rd Gen, Eleven Rack, Pro Tools 2021.3
Plugins, Virtual Instruments, and real ones
Reply With Quote
  #7  
Old 05-19-2005, 05:59 AM
Paxil Paxil is offline
Member
 
Join Date: May 2005
Location: North New Jersey, USA
Posts: 83
Default Re: SUPPORT FOR DIGI001 UNDER OS X 10.4 \"TIGER\" A MUST

If it's a petition I'm in. I'd like to be able to run my 001 through all of OSX to be frank. Or at least as long as OSX supports my G4. I also am not asking for an upgrade away from PT 6.4cs9 just fixes to ride out OSX.

To Nedorama:

I hear what your saying. however, All Harware that was available for use on OS9 got the chance to get ridden out on OS9 (some beyond). That's all we're asking. To ride out OSX to it's end. I think the issue here is actually quite simple. OS9 (if I recall correctly) lasted only to 9.2 OSX is now at 10.4. I don't think anyone expected this many version of OSX. It appears there may be more beyond "Tiger" too. Windows 64 doesn't appear to me to compete with Tiger at all. And as for "Longhorn" the next generation of Windows, well, it has a lot of work ahead to compete with OSX in order to motivate the creation of OSXI.

OSX is the best Operating System ever (to date). It just seems wrong for Digidesign to freeze out 001 users from OSX when only two years ago they were still selling the 001 for $1000.
__________________
"I'd rather be hated for who I am, than loved for who I am not." -Kurt Cobain
Reply With Quote
  #8  
Old 05-19-2005, 08:20 AM
Slim Shady Slim Shady is offline
Member
 
Join Date: Feb 2000
Location: Los Angeles, CA
Posts: 7,527
Default Re: SUPPORT FOR DIGI001 UNDER OS X 10.4 \"TIGER\" A MUST

Quote:
I don't think anyone expected this many version of OSX.
I think you're the only one who didn't.

Quote:
It just seems wrong for Digidesign to freeze out 001 users from OSX
The 001 works fine under 10.3, you're not frozen out from anything.

Quote:
when only two years ago they were still selling the 001 for $1000.
You got ripped off. They were going for about $600 or less 2 years ago, just before they were discontinued.

This 'petition' is so ridiculous it's funny. Do a little research on the industry, this is very standard stuff, digi is doing nothing out of the ordinary. Even better, go over to the TDM/HD forum - I don't see a petition from TDM Mix3 users demanding support in 10.4. These people spent $10,000+ on their rigs, why aren't they creating their own petition? Because they know how the industry works, and they were given fair warning about their systems reaching EOL status AND they were given special discounts to upgrade to current hardware (as were LE users). Get yer heads out of yer bums, you're all looking quite foolish. Or don't, I could use a good chuckle every now and then.
Reply With Quote
  #9  
Old 05-19-2005, 09:48 AM
Paxil Paxil is offline
Member
 
Join Date: May 2005
Location: North New Jersey, USA
Posts: 83
Default Re: SUPPORT FOR DIGI001 UNDER OS X 10.4 \"TIGER\" A MUST

Quote:
I think you're the only one who didn't.
I don't think many folks expected Apple to still be updating OSX and not at least on the verge of releasing OSXI. Especially with Microsoft one year from releasing "Longhorn". Again, especially when OS9 only went as far as 9.2.2

Quote:
The 001 works fine under 10.3, you're not frozen out from anything.
We're frozen out of being able to upgrade our Operating Systems aren't we. That means we're not able to get new security fixes etc.

Quote:
You got ripped off. They were going for about $600 or less 2 years ago, just before they were discontinued.
Pardon Me, approximately, 2 years ago before the price drop. Besides, I got mine used after they were discontinued.

Quote:
This 'petition' is so ridiculous it's funny.
To you perhaps. To those of us who'd like to keep our operating system up to date, and have security patches for it, it's not.

Quote:
Do a little research on the industry, this is very standard stuff, digi is doing nothing out of the ordinary.
Your 100% right this is very standard stuff, and that's what's sad about it. The audio industry was once (and is still full) of gear that is more than 70 years old, and always there were folks trying to keep that classic gear usable. Now 4-5 years (if your lucky) and people go to great lengths to make a piece of gear obsolete and drop it's value. Good luck paying less than $1000 for an RCA 44 in good shape.

Quote:
Even better, go over to the TDM/HD forum - I don't see a petition from TDM Mix3 users demanding support in 10.4. These people spent $10,000+ on their rigs, why aren't they creating their own petition? Because they know how the industry works, and they were given fair warning about their systems reaching EOL status AND they were given special discounts to upgrade to current hardware (as were LE users). Get yer heads out of yer bums, you're all looking quite foolish. Or don't, I could use a good chuckle every now and then.
Why don't you go to the TDM forum. Because clearly you don't know that TDM systems are still supported under what is a juiced up version of LE 6.9. And that Digidesign will be making TDM 6.9 compatible with Tiger see here http://duc.digidesign.com/showflat.p...=5&o=7&fpart=1

I don't see that what we're asking is so unreasonable. We're not even asking for the same treatment as the TDM folks. We're not asking for new upgrades. we're simply asking for fixes that will allow our current 6.4 systems to work on the upgrade to our Operating Systems which will provide us more security. And what exactly is the need for insulting us, when you're the one who looks foolish after not checking to see that TDM systems are still supported.
__________________
"I'd rather be hated for who I am, than loved for who I am not." -Kurt Cobain
Reply With Quote
  #10  
Old 05-19-2005, 09:57 AM
Slim Shady Slim Shady is offline
Member
 
Join Date: Feb 2000
Location: Los Angeles, CA
Posts: 7,527
Default Re: SUPPORT FOR DIGI001 UNDER OS X 10.4 \"TIGER\" A MUST

Quote:
I don't think many folks expected Apple to still be updating OSX and not at least on the verge of releasing OSXI
You apprently don't read any Apple news or literature. 10.5 "Cheetah" is coming late 2006. 10.6 "Lion" a year or so behind that...

edit: apparently 10.5 isn't 'Cheetah' - I got the info from a quick Google search. Apple has patented several other cat names, I guess it's unclear what they next versions will be called.

Quote:
Why don't you go to the TDM forum
I did. That's why I sent you there. TDM MIX support stopped at 6.4, just like the 001. You're confusing TDM MIX and HD - HD is the current (and supported) version, TDM MIX ended the same time as the 001. These folks spent 10 times as much as you, yet not a peep from them on Tiger support. Think about it.

From the TDM MIX compatibility page:

Quote:
Pro Tools 6.4.1 for Mac OS X 10.3 is the last version that supports MIX systems. Pro Tools 6.4.1 is not compatible with Mac OS X v10.4 (Tiger).
Quote:
To those of us who'd like to keep our operating system up to date, and have security patches for it, it's not.
Oh I see, this is all about "Security Patches" is it? You really think some hacker out there is working on a security hack for 10.3 now that 10.4 is out? If anything, staying on 10.3 is a much more secure thing to do than upgrading to 10.4. Keep up the good work though, you're making my day so far. I'm off to work on an 001 on G4/500 running OS 9.2.2 - funny how it still seems to work, despite not even upgrading to OSX... how can that be?
Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Digi001 and Tiger? eugenechen 003, Mbox 2, Digi 002, original Mbox, Digi 001 (Mac) 4 01-20-2006 03:53 PM
6.7 tiger support or only 6.9? Runaway 003, Mbox 2, Digi 002, original Mbox, Digi 001 (Mac) 1 06-20-2005 11:35 PM
Re: SUPPORT FOR DIGI001 UNDER OS X 10.4 "TIGER" jsepeta 003, Mbox 2, Digi 002, original Mbox, Digi 001 (Mac) 3 05-27-2005 11:03 PM
Tiger and Digi001 damage? chamady 003, Mbox 2, Digi 002, original Mbox, Digi 001 (Mac) 1 05-01-2005 02:11 PM
Tiger support ianmiller Pro Tools TDM Systems (Mac) 1 04-26-2005 01:10 PM


All times are GMT -7. The time now is 08:44 PM.


Powered by: vBulletin, Copyright ©2000 - 2008, Jelsoft Enterprises Limited. Forum Hosted By: URLJet.com